# Method: roles.delete

Deletes a role.

### HTTP request

`DELETE https://admin.googleapis.com/admin/directory/v1/customer/{customer}/roles/{roleId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customer` | `string` Immutable ID of the Google Workspace account. |
| `roleId` | `string` Immutable ID of the role. |

### Request body

The request body must be empty.

### Response body

If successful, the response is a generic HTTP response whose format is defined by the method.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admin.directory.rolemanagement`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).